Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-20789

Installation fails on non-systemd Linux

    XMLWordPrintable

    Details

      Description

      There is a very popular version of Ubuntu 18.0.4 where we cannot install Mariadb, because it does not use systemd, and there is no services script provided (it goes in /etc/init.d). This version is the one shipped with Windows server. It happens that we are using this version for business very often. Installation should identify that there is no systemd and instead use a script to start and stop mariadb.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              faust Faustin Lammler
              Reporter:
              philip_38 Philip orleans
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated: